#include <stdio.h>

/*
 * headonly.c
 *
 * This routine filters out the first xxxx characters of a data stream
 * and sends them on to stdout.  The rest go to the bit bucket.
 */

main( argc, argv )
int argc;
char *argv[];
{

	long count=0;
   long maxcount;
	char ch;

	if( argc == 2 ) {

		maxcount=atoi( argv[1] );

	} else {

		maxcount=262144;
	}
   
	fprintf( stderr, "headonly: Letting first %d bytes through.\n", maxcount);

	while( ( ch=getc(stdin) ) != EOF ) {

	if( count++<maxcount ) 
		putc( ch, stdout );

	}
}

